# NiBabel

### Access a cacophony of neuro-imaging file formats

# `mriutils`

Utilities for calculations related to MRI

`MRIError` |
`calculate_dwell_time`(water_fat_shift, ...) | Calculate the dwell time

## `MRIError`

class nibabel.mriutils.MRIError

  Bases: `ValueError`

  __init__(*args, **kwargs)

## calculate_dwell_time

nibabel.mriutils.calculate_dwell_time(water_fat_shift, echo_train_length, field_strength)

  Calculate the dwell time

  Parameters:
    water_fat_shift float

      The water fat shift of the recording, in pixels.

    echo_train_length int

      The echo train length of the imaging sequence.

    field_strength float

      Strength of the magnet in Tesla, e.g. 3.0 for a 3T magnet recording.

  Returns:
    dwell_time float

      The dwell time in seconds.

  Raises:
    MRIError

      if values are out of range